﻿/* Bootstrap Validation Summary Override */
.validation-summary-valid {
    display: none;
}

.text-warning {
    color: #ffa655 !important;
}

.text-red {
    color: #f05050 !important;
}

.font-bold {
    font-weight: bold !important;
}

.zoom1 {
    zoom: 1 !important;
}

@media (min-width: 992px) {
    .nav-function-top .page-header {
        background-image: linear-gradient(to right, #0277bd 0%, #03a9f4 100%);
        background-color: #0277bd;
    }

    .nav-function-top .page-header .header-icon:not(.btn) > [class*='fa-']:first-child, 
    .nav-function-top .page-header .header-icon:not(.btn) > .ni:first-child,
    .nav-function-top .page-header .header-icon:not(.btn) > [class*='fa-']:first-child:hover {
        color: #FFFFFF;
    }
}

.pnlfullscreenutech {
    top: 125px !important;
    margin: 0 auto !important;
    width: 99% !important;
    max-width: 99% !important;
    border-top-left-radius: 6px !important;
    border-top-right-radius: 6px !important;
}

.gridUtechAssDoc thead th:first-child,
.gridUtechAssDoc tbody td:first-child {
    text-align: center;
    padding-top: 0 !important;
    margin-top: 0;
}

.alert.validation-summary-errors {
    margin-bottom: 1rem;
}

/* Give subscript a little bit more space before the chevron */
.pos-right {
    right: 4px;
}

/* Reference classes, no implementation */
.js-waves-off, .js-waves-on, .js-get-date, .js-collapse, .js-modal-settings, .js-filter-message, .js-buttons, .js-icon-class, .js-icon-copy, .base, .needs-validation, .flex-start, .text-faded, .app-container-demo, .has-tooltip, .has-popover {
}

.js-bg-color, .js-bg-gradient, .js-bg-gradient-demo, .js-bg-target {
}

.divheadiconsshortc {
    margin-left: 35px;
}

.tdBemVindo {
    color: white;
    font-size: 18px;
    padding-right: 20px;
}

@media (max-width: 991px) {
    .tdBemVindo {
        color: #868e96;
        font-size: 18px;
        padding-right: 5px;
    }

    .divheadiconsshortc {
        margin-left: 0px;
    }
}

.page-header, .page-sidebar {
    z-index: 10003 !important;
}

input[obr], .pborequired {
    /*border-left-color: #78818A !important;*/
    border-left-color: #0288d1 !important;
    border-left-width: 2px !important;
}

.gridUtechOffline th, .gridUtechOffline tfoot tr td {
    background: #039be5;
    background-image: initial;
    background-position-x: initial;
    background-position-y: initial;
    background-size: initial;
    background-repeat-x: initial;
    background-repeat-y: initial;
    background-attachment: initial;
    background-origin: initial;
    background-clip: initial;
    color: #fff;
    border: 1px solid rgba(0, 0, 0, 0.1);
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

.panel .row {
    padding: 10px 10px 10px 10px;
}

.form-label {
    margin: 0px;
}

.panel.panel-default {
    border-color: #cfdbe2;
    border-top-width: 3px;
    background-color: #fff;
    border: 1px solid transparent;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    padding: 10px;
}

.subheader {
    margin-bottom: 20px !important;
}

._btn-actionD {
    margin-top: 10px;
}

._btn-action {
    width: 114px;
}

.active.btn-default {
    background-color: #1aacda !important;
}

.btn-info:hover, .btn-info:active, .btn-info.focus, .btn-info:focus, .btn-info.focus, .btn-info, .badge-info {
    color: #fff !important;
    background-color: #1aacda !important;
    border-color: #1aacda !important;
}

.btn-outline-info {
    color: #1aacda !important;
    background-color: #fff !important;
    border-color: #1aacda !important;
}

.btn-warning, .badge-warning {
    color: #fff !important;
    background-color: #ffa655 !important;
    border-color: #ffa655 !important;
}

.btn-success {
    background-color: #37bc9b !important;
    border-color: #37bc9b !important;
}

.badge.badge-success {
    background-color: #37bc9b !important;
    border-color: #37bc9b !important;
}

.badge.badge-danger {
    background-color: #f05050 !important;
    border-color: #f05050 !important;
}

.btn-danger:focus, .btn-danger.focus {
    background-color: #b57d6a !important;
    border-color: #b57d6a !important;
}

.btn-primary:focus, .btn-primary.focus {
    background-color: #868e96;
    border-color: #868e96;
}

.dataTables_empty {
    text-align: left !important;
    font-size: 15px !important;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
    color: #666666 !important;
}

.dataTables_wrapper .row.mb-3 {
    margin-bottom: 0px !important;
    padding-bottom: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
}

.dataTables_wrapper .row:nth-child(2) {
    padding-top: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
}

.dt-buttons {
    padding-bottom: 5px !important;
}

.page-link {
    color: #78818a !important;
}

.link4page, .link4page:hover {
    cursor: pointer !important;
    width: 100%;
    white-space: normal !important;
    color: #0277bd !important;
    text-decoration: none !important;
    font-weight: bold;
}

.paginate_button.page-item.next .page-link,
.paginate_button.page-item.previous .page-link {
    background-color: #fff !important;
    border-color: #78818a !important;
    border: solid 1px;
}

.page-item.active .page-link,
.pagination .page-link:hover,
.paginate_button.page-item.next .page-link:hover,
.paginate_button.page-item.previous .page-link:hover {
    background-color: #5d9cec !important;
    border-color: #5d9cec !important;
    color: #fff !important;
}

.gridUtech thead tr th {
    background-color: #0288d1;
}

.gridUtech tbody td:last-child,
.gridUtech thead th:last-child {
    width: 10% !important;
    text-align: center !important;
}

.gridUtech tbody td {
    vertical-align: middle;
}

.gridUtech tbody td.child table td {
    text-align: left !important;
}

.gridUtech tbody td.child table {
    width: 100%;
}

.divactiongridut {
    white-space: nowrap !important;
}

.btnGridPad {
    margin-right: 3px;
}

.panel-grid-endp {
    margin-bottom: 155px !important;
}

.loading-feedback {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 10000;
    background-color: white;
    opacity: 0.7;
}

.loading-bg {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0.8;
    background-color: #64b5f6;
}

.loading-message {
    position: absolute;
    left: 50%;
    top: 50%;
    text-align: center;
}

.loading-caption {
    text-transform: none;
    font-weight: bold;
    font-size: 1.3em;
    color: #757575;
    margin-left: 20px;
}

.loading-ico {
    color: #bdbdbd;
    font-size: 3em;
}

/*.sa-button-container button {
    background-color: #868e96 !important;
    box-shadow: rgba(134, 142, 150, 0.8) 0px 0px 2px, rgba(0, 0, 0, 0.05) 0px 0px 0px 1px inset !important;
}

.sa-button-container button:hover {
    background-color: #6c757d !important;
    box-shadow: rgba(108, 117, 125, 0.8) 0px 0px 2px, rgba(0, 0, 0, 0.05) 0px 0px 0px 1px inset !important;
}

.sa-confirm-button-container button {
    background-color: #b57d6a !important;
    box-shadow: rgba(181, 125, 106, 0.8) 0px 0px 2px, rgba(0, 0, 0, 0.05) 0px 0px 0px 1px inset !important;
}

.sa-confirm-button-container button:hover {
    background-color: #9e624e !important;
    box-shadow: rgba(158, 98, 78, 0.8) 0px 0px 2px, rgba(0, 0, 0, 0.05) 0px 0px 0px 1px inset !important;
}*/

.select2-container--default .select2-selection--multiple .select2-selection__choice,
.select2-container--default .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove {
    border-color: #78818a;
    background: #fcfcfc;
    color: #60676e;
    overflow: hidden;
}

.form-control:focus,
.select2:focus,
.select2-container--open .select2-dropdown--above,
.select2-container--open .select2-dropdown--below,
.select2-container--default.select2-container--open.select2-container--below .select2-selection--single,
.select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple,
.select2-container--default.select2-container--open.select2-container--above .select2-selection--single,
.select2-container--default.select2-container--open.select2-container--above .select2-selection--multiple,
.select2-container--default.select2-container--focus .select2-selection--single,
.select2-container--default.select2-container--focus .select2-selection--multiple {
    border-color: #66AFE9;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #78818a;
}

.select2-container--default .select2-results__option[aria-selected=true] {
    background-color: #e4e5e7;
    color: #212529;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove:hover {
    color: #535a60;
}

.custom-control-label::before {
    border-color: #78818a !important;
    background-color: #fff !important;
}

.custom-control-input:checked ~ .custom-control-label::before {
    border-color: #78818a !important;
    background-color: #78818a !important;
}

.custom-control-input:checked ~ .healthonoff.custom-control-label::before {
    border-color: #179c8e !important;
    background-color: #179c8e !important;
}


.custom-control-input:not(:disabled):active ~ .custom-control-label::before {
    border-color: #78818a !important;
    background-color: #fff !important;
}

.custom-control-label {
    cursor: pointer;
    padding-top: 2px;
}

table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > td:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > th:first-child:before,
table.dataTable.dtr-column > tbody > tr > td.control:before,
table.dataTable.dtr-column > tbody > tr > th.control:before {
    background-color: #78818a;
}

.select2-results__message {
    color: #666666 !important;
}

.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
    color: #333333;
}

.text-primary {
    color: #333333 !important;
}

.input-group-text {
    /*border: solid 1px #868e96 !important;
    background: #868e96 !important;*/
    border: solid 1px #0288d1 !important;
    background: #0288d1 !important;
    color: white !important;
}

hr {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.dd {
    max-width: 100% !important;
    width: 100%;
    margin-top: 15px;
}

.dd-empty {
    display: none;
}

.dd-list {
    list-style-type: none;
    padding-left: 0px;
}

.dd-item, .dd-empty, .dd-placeholder {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    min-height: 20px;
    font-size: 13px;
    line-height: 20px;
}

.dd-handle {
    display: block;
    margin: 5px 0;
    padding: 10px 10px;
    text-decoration: none;
    border: 1px solid #ebebeb;
    background: #fff;
    -webkit-border-radius: 3px;
    border-radius: 3px;
}

.img-circle {
    border-radius: 50%;
}

.thumbImgP {
    width: 75px;
    height: 80px;
}

.adelimg {
    vertical-align: top;
    cursor: pointer;
}

.adelimg i {
    vertical-align: top;
    font-weight: bold;
    margin-left: 3px;
    font-size: 10px;
}

.datepicker table.table-condensed .picker-switch {
    padding: 5px;
}

.datepicker table.table-condensed th.prev {
    font-weight: bold;
    color: #78818a;
}

.datepicker {
    padding: 3px;
}

.bootstrap-datetimepicker-widget table td span.active {
    background-color: #78818a;
}

.bootstrap-datetimepicker-widget table td.today:before {
    border-bottom-color: #78818a;
}

.bootstrap-datetimepicker-widget table td.active, .bootstrap-datetimepicker-widget table td.active:hover {
    background-color: #78818a;
}

.m0 {
    margin: 0 !important;
}

.modal-backdrop.fade.show {
    width: 100%;
    height: 100%;
}

.dataTables_empty {
    font-size: 14px !important;
}

.panel.panel-fullscreen .panel-container {
    overflow-y: scroll;
}

.panel-container .show {
    overflow-y: auto !important;
}

.divunhidden-p {
    display: none !important;
}

.pnlmodalfutech {
    top: 125px !important;
    margin: 0 auto !important;
    width: 99% !important;
    max-width: 99% !important;
    border-top-left-radius: 6px !important;
    border-top-right-radius: 6px !important;
    overscroll-behavior: contain !important;
}

@media screen and (max-width: 991px) {
    .pnlmodalfutech {
        top: 65px !important;
    }
}

.__hidden {
    display: none !important;;
}

.spndatatit {
    font-size: 17px;
    font-weight: bold;
}

.hrdatatit {
    margin-top: 0px;
    margin-bottom: 5px;
}

.paginaleitura {
    background-color: #FFFFE0;
}

.custommodal70 .modal-dialog .modal-header {
    background: #fff;
    /*background-image: linear-gradient(250deg, rgba(9, 96, 165, 0.7), transparent);*/
    /*background-color: #179c8e;*/
    background-color: #0288d1;
    color: white;
}

.textoriscado {
    text-decoration: line-through;
}

@media print {
    .font-boldprint {
        font-weight: bold !important;
    }

    .divunhidden-p {
        display: block !important;
    }

    .panel {
        border: 0px !important;
    }

    .select2-selection.select2-selection--single {
        border: 0px !important;
    }

    .select2-selection__arrow {
        display: none !important;
    }

    .hidden-print {
        display: none !important;
    }

    .panel-print {
        margin-bottom: 5px !important;
        padding: 0px !important;
    }

    .col-sm-1 {
        width: 8%;
        float: left;
    }

    .col-sm-2 {
        width: 16%;
        float: left;
    }

    .col-sm-3 {
        width: 25%;
        float: left;
    }

    .col-sm-4 {
        width: 33%;
        float: left;
    }

    .col-sm-5 {
        width: 42%;
        float: left;
    }

    .col-sm-6 {
        width: 50%;
        float: left;
    }

    .col-sm-7 {
        width: 58%;
        float: left;
    }

    .col-sm-8 {
        width: 66%;
        float: left;
    }

    .col-sm-9 {
        width: 75%;
        float: left;
    }

    .col-sm-10 {
        width: 83%;
        float: left;
    }

    .col-sm-11 {
        width: 92%;
        float: left;
    }

    .col-sm-12 {
        width: 100%;
        float: left;
    }
}

.fakeInputsForBrowser {
    width: 0px !important;
    height: 1px !important;
    border-radius: 12px;
    z-index: -1;
}